/**************************************************************************
 *
 * Filename:    PicoScope.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This class provides a base class to model an object representation of a 
 *      PicoScope.
 *	
 * History:
 *     Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

import com.picotech.picoscope.util.AbortButtonJFrameRunnable;
import java.util.Scanner;

/**
 *
 * @author hitesh
 */
public abstract class PicoScope 
{   
    private boolean continueStreaming;
    private boolean continueReadingBlock;
    private boolean abortButtonPressed;
    
    private Scanner consoleScanner;
    
    private AbortButtonJFrameRunnable abortButtonJFrameRunnable;
    
    /**
     * 
     */
    public PicoScope() 
    {
        continueStreaming = true;
        continueReadingBlock = true;

        consoleScanner = new Scanner(System.in);

    }

    /**
     * 
     * @return 
     */
    public synchronized boolean isContinueStreaming() 
    {
        return continueStreaming;
    }

    /**
     * 
     * @param continue_streaming 
     */
    public synchronized void setContinueStreaming(boolean continue_streaming) 
    {
        continueStreaming = continue_streaming;
    }
    
    /**
     * 
     * @return 
     */
    public synchronized Scanner getConsoleScanner()
    {
        return consoleScanner;
    }

    /**
     * 
     * @return 
     */
    public boolean isContinueReadingBlock() 
    {
        return continueReadingBlock;
    }

    /**
     * 
     * @param continue_reading_block 
     */
    public void setContinueReadingBlock(boolean continue_reading_block) 
    {
        continueReadingBlock = continue_reading_block;
    }

    /**
     * 
     * @return 
     */
    public synchronized boolean isAbortButtonPressed() 
    {
        return abortButtonPressed;
    }

    /**
     * 
     * @param abort_button_pressed 
     */
    public synchronized void setAbortButtonPressed(boolean abort_button_pressed) 
    {
        abortButtonPressed = abort_button_pressed;
    }

    /**
     * 
     * @return 
     */
    public synchronized AbortButtonJFrameRunnable getAbortButtonJFrameRunnable() 
    {
        return abortButtonJFrameRunnable;
    }

    /**
     * 
     * @param abort_button_jframe_runnable 
     */
    public synchronized void setAbortButtonJFrameRunnable(AbortButtonJFrameRunnable abort_button_jframe_runnable) 
    {
        abortButtonJFrameRunnable = abort_button_jframe_runnable;
    }

}
