/**************************************************************************
 *
 * Filename:    TimeIndisposed.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This is a wrapper class to pass a time indisposed value to a wrapper dll
 *      as a pointer is required for a run_block function.
 *	
 * History:
 *     15Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

/**
 * This is a wrapper class to pass a time indisposed value to a wrapper dll
 * as a pointer is required for a run_block function.
 * 
 * @author hitesh
 */
public class TimeIndisposed 
{
    private int timeIndisposed; //milliseconds
    
    /**
     * Constructor - initialises timeIndisposed to 0;
     */
    public TimeIndisposed()
    {
        timeIndisposed = 0;
    }

    /**
     * 
     * @return the approximate time (in milliseconds) that the ADC will take to 
     * collect data.
     */
    public int getTimeIndisposed() 
    {
        return timeIndisposed;
    }

    /**
     * 
     * @param time_indisposed 
     */
    public void setTimeIndisposed(int time_indisposed) 
    {
        timeIndisposed = time_indisposed;
    }
      
}
