/**************************************************************************
 *
 * Filename:    TimesAndValues.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This is a wrapper class to help with obtaining times and values from the
 *      PicoScope.
 *	
 * History:
 *     Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

import com.picotech.picoscope.ps2000.PS2000Data;

/**
 *
 * @author hitesh
 */
public class TimesAndValues 
{
    private int[] times;        // Buffer to hold sample times (interval between trigger event and corresponding sample)
    private short[] bufferA;    // Channel A values 
    private short[] bufferB;    // Channel B values
    private short[] bufferC;    // Channel C values 
    private short[] bufferD;    // Channel D values
    private short overflow;

    /**
     * Constructor method
     */
    public TimesAndValues() 
    {
        times = new int[PS2000Data.BUFFER_SIZE];
        
        bufferA = new short[PS2000Data.BUFFER_SIZE];
        bufferB = new short[PS2000Data.BUFFER_SIZE];
        bufferC = new short[PS2000Data.BUFFER_SIZE];
        bufferD = new short[PS2000Data.BUFFER_SIZE];
        
        overflow = 0;
    }
    
    /**
     *  Constructor method allowing user to set the buffer size.
     * @param buffer_size 
     */
    public TimesAndValues(int buffer_size)
    {
        times = new int[buffer_size];
        
        bufferA = new short[buffer_size];
        bufferB = new short[buffer_size];
        bufferC = new short[buffer_size];
        bufferD = new short[buffer_size];
        
        overflow = 0;
    }

    /**
     * 
     * @return 
     */
    public short[] getBufferA() 
    {
        return bufferA;
    }

    /**
     * 
     * @param buffer_A 
     */
    public void setBufferA(short[] buffer_A) 
    {
        System.arraycopy(buffer_A, 0, bufferA, 0, bufferA.length);
    }

    /**
     * 
     * @return 
     */
    public short[] getBufferB() 
    {
        return bufferB;
    }

    /**
     * 
     * @param buffer_B 
     */
    public void setBufferB(short[] buffer_B) 
    {
        System.arraycopy(buffer_B, 0, bufferB, 0, bufferB.length);
    }
    
    /**
     * 
     * @return 
     */
    public short[] getBufferC() 
    {
        return bufferC;
    }

    /**
     * 
     * @param buffer_C 
     */
    public void setBufferC(short[] buffer_C) 
    {
        System.arraycopy(buffer_C, 0, bufferC, 0, bufferC.length);
    }

    /**
     * 
     * @return 
     */
    public short[] getBufferD() 
    {
        return bufferD;
    }

    /**
     * 
     * @param buffer_D 
     */
    public void setBufferD(short[] buffer_D) 
    {
        System.arraycopy(buffer_D, 0, bufferD, 0, bufferB.length);
    }

    /**
     * 
     * @return 
     */
    public short getOverflow() 
    {
        return overflow;
    }

    /**
     * 
     * @param tv_overflow 
     */
    public void setOverflow(short tv_overflow) 
    {
        overflow = tv_overflow;
    }

    /**
     * 
     * @return 
     */
    public int[] getTimes() 
    {
        return times;
    }

    /**
     * 
     * @param tv_times 
     */
    public void setTimes(int[] tv_times) 
    {
        System.arraycopy(tv_times, 0, times, 0, times.length);
    }
    
    
}
