/**************************************************************************
 *
 * Filename:    TriggerChannel.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This is a wrapper class to hold a simple and advanced trigger structure.
 *	
 * History:
 *     15Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

/**
 *
 * @author hitesh
 */
public class TriggerChannel 
{
    private SimpleTrigger simpleTrigger;
    private AdvancedTrigger advancedTrigger;

    /**
     * 
     * @param simple_trigger
     * @param advanced_trigger 
     */
    public TriggerChannel(SimpleTrigger simple_trigger, 
            AdvancedTrigger advanced_trigger) 
    {
        simpleTrigger = simple_trigger;
        advancedTrigger = advanced_trigger;
    }
    
    /**
     * Empty constructor
     */
    public TriggerChannel()
    {
        // Do nothing
    }

    /**
     * 
     * @return 
     */
    public AdvancedTrigger getAdvancedTrigger() 
    {
        return advancedTrigger;
    }
    
    /**
     * 
     * @param advanced_trigger 
     */
    public void setAdvancedTrigger(AdvancedTrigger advanced_trigger)
    {
        advancedTrigger = advanced_trigger;
    }

    /**
     * 
     * @return 
     */
    public SimpleTrigger getSimpleTrigger() 
    {
        return simpleTrigger;
    }

    /**
     * 
     * @param simple_trigger 
     */
    public void setSimpleTrigger(SimpleTrigger simple_trigger) 
    {
        simpleTrigger = simple_trigger;
    }
    
    
    
    
}
