/**************************************************************************
 *
 * Filename:    UnitInfo.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This is a wrapper class to hold information on the unit.
 *	
 * History:
 *     15Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

/**
 *
 * @author hitesh
 */
public class UnitInfo 
{
    private String driverVersion;
    private String usbVersion;
    private String hardwareVersion;
    private String variantInfo;
    private String batchAndSerial;
    private String calDate;
    private String errorCode;
    private String kernelDriverVersion;

    /**
     * 
     * @param driver_version
     * @param usb_version
     * @param hardware_version
     * @param variant_info
     * @param batch_and_serial
     * @param cal_date
     * @param error_code
     * @param kernel_driver_version 
     */
    public UnitInfo(String driver_version, String usb_version, 
            String hardware_version, String variant_info, 
            String batch_and_serial, String cal_date, String error_code, 
            String kernel_driver_version) 
    {
        driverVersion = driver_version;
        usbVersion = usb_version;
        hardwareVersion = hardware_version;
        variantInfo = variant_info;
        batchAndSerial = batch_and_serial;
        calDate = cal_date;
        errorCode = error_code;
        kernelDriverVersion = kernel_driver_version;
    }

    /**
     * 
     * @return 
     */
    public String getBatchAndSerial() 
    {
        return batchAndSerial;
    }

    /**
     * 
     * @return 
     */
    public String getCalDate() 
    {
        return calDate;
    }

    /**
     * 
     * @return 
     */
    public String getDriverVersion() 
    {
        return driverVersion;
    }

    /**
     * 
     * @return 
     */
    public String getErrorCode() 
    {
        return errorCode;
    }

    /**
     * 
     * @return 
     */
    public String getHardwareVersion() 
    {
        return hardwareVersion;
    }

    /**
     * 
     * @return 
     */
    public String getKernelDriverVersion() 
    {
        return kernelDriverVersion;
    }

    /**
     * 
     * @return 
     */
    public String getUsbVersion() 
    {
        return usbVersion;
    }

    /**
     * 
     * @return 
     */
    public String getVariantInfo() 
    {
        return variantInfo;
    }
          
}
