/**************************************************************************
 *
 * Filename:    AbortButtonJFrame.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This class provides a frame containing an 'Abort' button to abort the
 *   	wait for a trigger.
 *
 * History:
 *     Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/

/*
 * AbortButtonJFrame.java
 *
 * Created on 24-Aug-2011, 14:05:05
 */
package com.picotech.picoscope.util;

import com.picotech.picoscope.PicoScope;

/**
 *
 * @author hitesh
 */
public class AbortButtonJFrame extends javax.swing.JFrame 
{

    private PicoScope picoScope;
    
    /** Creates new form AbortButtonJFrame */
    public AbortButtonJFrame(PicoScope pico_scope)
    {
        initComponents();
        picoScope = pico_scope;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        abortjButton = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Abort Button");
        setName("Abort Current Task"); // NOI18N
        setResizable(false);
        getContentPane().setLayout(new java.awt.GridLayout(1, 0));

        abortjButton.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        abortjButton.setText("Click to Abort");
        abortjButton.setToolTipText("Abort current task.");
        abortjButton.setBorder(null);
        abortjButton.setMaximumSize(new java.awt.Dimension(200, 100));
        abortjButton.setMinimumSize(new java.awt.Dimension(200, 100));
        abortjButton.setPreferredSize(new java.awt.Dimension(200, 100));
        abortjButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                abortjButtonActionPerformed(evt);
            }
        });
        getContentPane().add(abortjButton);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void abortjButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_abortjButtonActionPerformed
        // TODO add your handling code here:
        picoScope.setAbortButtonPressed(true);
        this.dispose();
    }//GEN-LAST:event_abortjButtonActionPerformed

    /**
     * @param args the command line arguments
     */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//
//            public void run() {
//                new AbortButtonJFrame().setVisible(true);
//            }
//        });
//    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton abortjButton;
    // End of variables declaration//GEN-END:variables
}
