/**************************************************************************
 *
 * Filename:    AbortButtonJFrameRunnable.java
 *
 * Copyright:   Pico Technology Limited 2011
 *
 * Author:      HSM
 *
 * Description:
 *      This class provides a thread to run the AbortButtonJFrame in.
 *
 * 
 * History:
 *     Aug11 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope.util;

import com.picotech.picoscope.PicoScope;

/**
 * Helper class to start AbortButtonJFrame instance.
 * @author hitesh
 */
public class AbortButtonJFrameRunnable implements Runnable
{
    AbortButtonJFrame abortButtonJFrame;
    PicoScope picoScope;

    /**
     * 
     * @param pico_scope 
     */
    public AbortButtonJFrameRunnable(PicoScope pico_scope) 
    {
        picoScope = pico_scope;
        abortButtonJFrame = new AbortButtonJFrame(picoScope);
        picoScope.setAbortButtonPressed(false);
    }
    
    public void run()
    {
        abortButtonJFrame.setVisible(true);
    }

    /**
     * 
     * @return 
     */
    public AbortButtonJFrame getAbortButtonJFrame() 
    {
        return abortButtonJFrame;
    }
    
    
}
